package de.tobias.playpad.server.plugin

import java.net.URL

import com.j256.ormlite.dao.Dao
import de.thecodelabs.utils.io.IOUtils
import de.tobias.playpad.model.plugin.Plugin
import de.tobias.playpad.server.{Result, Status}
import de.tobias.playpad.utils.settings.Settings
import spark.{Request, Response, Route}

/**
 * Created by tobias on 05.02.17.
 */
class PluginRawGet(dao: Dao[Plugin, Int], settings: Settings) extends Route {

	override def handle(request: Request, response: Response): AnyRef = {
		val plugin = dao.queryForId(request.params(":id").toInt)
		if (plugin == null) {
			return new Result(Status.ERROR, "Bad request")
		}
		IOUtils.urlToByteArray(new URL(s"${settings.plugin_source}/${plugin.name}/${plugin.version}/${plugin.name}-${plugin.version}.jar"))
	}
}
